SHIBOKEN(1)

NAME
shiboken - CPython bindings generator for C++ libraries

DESCRIPTION

  Usage:

    shiboken [options] header-file typesystem-file

  General options:

--debug-level=[sparse|medium|full]
    Set the debug level

--documentation-only
    Do not generates any code, just the documentation

--generatorSet
    generatorSet to be used. e.g. qtdoc

--help
    Display this help and exit

--include-paths=<path>[:<path>:...]
    Include paths used by the C++ parser

--license-file=[licensefile]
    File used for copyright headers of generated files

--no-suppress-warnings
    Show all warnings

--output-directory=[dir]
    The directory where the generated files will be written

--silent
    Avoid printing any message

--typesystem-paths=<path>[:<path>:...]
    Paths used when searching for typesystems

--version
    Output version information and exit

  Shiboken options:

--disable-verbose-error-messages
    Disable verbose error messages. Turn the python code hard to debug but safe few kB on the generated bindings.

--enable-parent-ctor-heuristic
    Enable heuristics to detect parent relationship on constructors.

--enable-pyside-extensions
    Enable PySide extensions, such as support for signal/slots, use this if you are creating a binding for a Qt-based library.

--enable-return-value-heuristic
    Enable heuristics to detect parent relationship on return values (USE WITH CAUTION!)

  Shiboken options:

--disable-verbose-error-messages
    Disable verbose error messages. Turn the python code hard to debug but safe few kB on the generated bindings.

--enable-parent-ctor-heuristic
    Enable heuristics to detect parent relationship on constructors.

--enable-pyside-extensions
    Enable PySide extensions, such as support for signal/slots, use this if you are creating a binding for a Qt-based library.

--enable-return-value-heuristic
    Enable heuristics to detect parent relationship on return values (USE WITH CAUTION!)

COPYRIGHT
Copyright © 2016 The Qt Company Ltd.

AUTHOR

This manpage was written for Debian, starting with a help2man output, by Didier Raboud <didier@raboud.com>, on the 26. March 2010.